Skip to main content
`Ctrl`+`K`

# ISCompressIndicesGeneral

convert the indices of an array of `IS` into an array of `ISGENERAL` of block indices

## Synopsis

    #include "petscis.h"
    PetscErrorCode ISCompressIndicesGeneral(PetscInt n, PetscInt nkeys, PetscInt bs, PetscInt imax, const IS is_in[], IS is_out[])

## Input Parameters

- n - maximum possible length of the index set

- nkeys - expected number of keys when using `PETSC_USE_CTABLE`

- bs - the size of block

- imax - the number of index sets

- is_in - the non-blocked array of index sets

## Output Parameter

- is_out - the blocked new index set, as `ISGENERAL`, not as `ISBLOCK`

## See Also

Low-level Vector Communication, `IS`, `ISGENERAL`, `ISExpandIndicesGeneral()`

## Level

intermediate

## Location

src/vec/is/is/utils/isblock.c

Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages